Get customer
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/customers/{customerEmail}/email \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/customers/{customerEmail}/email"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/customers/{customerEmail}/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"emailAddress": "<string>",
"status": "<string>",
"totalSpend": 123,
"averageSpend": 123,
"totalOrders": 123,
"ipAddress": "<string>",
"balance": 123,
"externalIntegrations": {},
"tickets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"subject": "<string>",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emailAddress": "<string>",
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"message": "<string>",
"name": "<string>"
}
]
}
],
"isBlocked": true,
"affiliate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"isEnabled": true,
"link": "<string>",
"balance": 123,
"returnPercentage": 123,
"percentageOff": 123
},
"blockedNote": "<string>",
"blockedAt": "2023-11-07T05:31:56Z"
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Customers
Get Customer by Email
Retrieves detailed information for a single customer in the specified store.
Requires the stores.customers.view permission.
GET
/
stores
/
{storeId}
/
customers
/
{customerEmail}
/
email
Get customer
Authorizations
Your API key goes here
Path Parameters
The ID of the store.
The email address of the customer to retrieve.
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents a customer who is associated with your store.
Show child attributes
Show child attributes
Last modified on August 2, 2026
⌘I